Subject: Offline Message from Naser A Almoamar: Until now, I have not received my "200
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 20 Jul 2020 03:25:48 -0000

From: Naser A Almoamar <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/customer/account/index/
Department: 

Until now, I have not received my "200317235" order from the "DHL" express shipping company! I contacted the shipping company and reported that the shipment was delivered on Saturday, July 18, 2020 at 11:19!!!!??
I think it was delleverd to the wrong person at the wrong address.
Kindly do the needful in this regards.

V/R - Naser A Almoammar

----
Zopim
https://www.zopim.com